#!/bin/bash

ip=$1
workdir=/root/deploy

ssh root@$ip "mkdir $workdir" 2> /dev/null
scp "./createGroups.sh" "./logins.csv" "./createUsers.sh" root@$ip:$workdir
ssh root@$ip >> EOF
    bash createGroups.sh
    bash createUsers.sh
EOF
ssh root@$ip "rm -R $workdir"